PDA

View Full Version : new set up of IHS 7.x . how to redirect request from IHS to tomcat


jadhao.aniruddha
08-02-2010, 11:12
Hi all,
"
I have one set up in which , customer wish is to redirect all request from IHS to tomcat. I want "steps to do" to achieve the same .
I have AIX OS 6.1 , IHS 7.x and tomcat 6.x

plzzz help.

Kees de Kooter
08-02-2010, 12:55
IHS == IBM Http Server == Apache Httpd.

You should take a look at the documentation for Apache's mod_proxy (http://httpd.apache.org/docs/2.2/mod/mod_proxy.html).

jadhao.aniruddha
08-02-2010, 12:56
Ibm http server

jadhao.aniruddha
08-02-2010, 13:52
Hi,
I am facing a pbm on AIX 6.1 Os , in which I have a requirment from customer , to redirect http req from IBM http server 7.x to tomcat 6.x. below is the error I am getting.
********************
httpd: Syntax error on line 913 of /usr/IBM/HTTPServer/conf/httpd.conf: Cannot load /lib/libapacheplugin.so into server: rtld: 0712-001 Symbol ap_clear_table was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_dummy_mutex was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_hard_timeout was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_kill_timeout was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_pcalloc was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_pstrdup was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\nrtld: 0712-001 Symbol ap_reset_timeout was referenced\n from module /lib/libapacheplugin.so(), but a runtime definition\n of the symbol was not found.\n\t0509-021 Additional errors occurred but are not reported.
********************
From my home wrk , I have apache 1.3 tomcat connector code , which isnt comptible with latest IBM http server. I have downloaded latest tomcat connector code from apache site , I need some help , how can I build that code on AIX .. Please post.

Kees de Kooter
08-02-2010, 16:23
This shows that there is an error in your apache configuration: libapacheplugin.so cannot be found.

You have to fix that first to get your server running.

Next - as mentioned before - you have to configure mod_proxy.